Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.geom
Class Ellipse2D.Double

    java.lang.Object
      |
      +--java.awt.geom.RectangularShape
            |
            +--java.awt.geom.Ellipse2D
                  |
                  +--java.awt.geom.Ellipse2D.Double

All Implemented Interfaces:
  Cloneable, Shape

Enclosing class:
  Ellipse2D

public static class Ellipse2D.Double
extends Ellipse2D

The `Double` class defines an ellipse specified in `double` precision.

Inner classes inherited from class java.awt.geom.Ellipse2D
`Ellipse2D.Double, Ellipse2D.Float`

Field Summary
`double` | `height` The overall height of the `Ellipse2D`.
`double` | `width` The overall width of this `Ellipse2D`.
`double` | `x` The x coordinate of the upper left corner of this `Ellipse2D`.
`double` | `y` The y coordinate of the upper left corner of this `Ellipse2D`.

Constructor Summary
`Ellipse2D.Double()` Constructs a new `Ellipse2D`, initialized to location (0, 0) and size (0, 0).
`Ellipse2D.Double(double x, double y, double w, double h)` Constructs and initializes an `Ellipse2D` from the specified coordinates.

Method Summary
`Rectangle2D` | `getBounds2D()` Returns the high precision bounding box of this `Ellipse2D`.
`double` | `getHeight()` Returns the overall height of this `Ellipse2D` in `double` precision.
`double` | `getWidth()` Returns the overall width of this `Ellipse2D` in `double` precision.
`double` | `getX()` Returns the X coordinate of the upper left corner of this `Ellipse2D` in `double` precision.
`double` | `getY()` Returns the Y coordinate of the upper left corner of this `Ellipse2D` in `double` precision.
`boolean` | `isEmpty()` Determines whether or not the bounding box of this `Ellipse2D` is empty.
`void` | `setFrame(double x, double y, double w, double h)` Sets the location and size of this `Ellipse2D` to the specified `double` values.

Methods inherited from class java.awt.geom.Ellipse2D
`contains, contains, getPathIterator, intersects`

Methods inherited from class java.awt.geom.RectangularShape
`clone, contains, contains, getBounds, getCenterX, getCenterY, getFrame, getMaxX, getMaxY, getMinX, getMinY, getPathIterator, intersects, setFrame, setFrame, setFrameFromCenter, setFrameFromCenter, setFrameFromDiagonal, setFrameFromDiagonal`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### x

    public double x

  The x coordinate of the upper left corner of this `Ellipse2D`.

### y

    public double y

  The y coordinate of the upper left corner of this `Ellipse2D`.

### width

    public double width

  The overall width of this `Ellipse2D`.

### height

    public double height

  The overall height of the `Ellipse2D`.

Constructor Detail

### Ellipse2D.Double

    public Ellipse2D.Double()

  Constructs a new `Ellipse2D`, initialized to location (0, 0) and size (0, 0).

### Ellipse2D.Double

    public Ellipse2D.Double(double x,
                            double y,
                            double w,
                            double h)

  Constructs and initializes an `Ellipse2D` from the specified coordinates.
  Parameters:
    `x, y` - the coordinates of the bounding rectangle
    `w` - the width of the rectangle
    `h` - the height of the rectangle

Method Detail

### getX

    public double getX()

  Returns the X coordinate of the upper left corner of this `Ellipse2D` in `double` precision.
  Overrides:
    `getX` in class `RectangularShape`
  Returns:
    the X coordinate of the upper left corner of the bounding box of this `Ellipse2D`.

### getY

    public double getY()

  Returns the Y coordinate of the upper left corner of this `Ellipse2D` in `double` precision.
  Overrides:
    `getY` in class `RectangularShape`
  Returns:
    the Y coordinate of the upper left corner of the bounding box of this `Ellipse2D`.

### getWidth

    public double getWidth()

  Returns the overall width of this `Ellipse2D` in `double` precision.
  Overrides:
    `getWidth` in class `RectangularShape`
  Returns:
    the width of this `Ellipse2D`.

### getHeight

    public double getHeight()

  Returns the overall height of this `Ellipse2D` in `double` precision.
  Overrides:
    `getHeight` in class `RectangularShape`
  Returns:
    the height of this `Ellipse2D`.

### isEmpty

    public boolean isEmpty()

  Determines whether or not the bounding box of this `Ellipse2D` is empty.
  Overrides:
    `isEmpty` in class `RectangularShape`
  Returns:
    `true` if the bounding box of this `Ellipse2D` is empty; `false` otherwise.

### setFrame

    public void setFrame(double x,
                         double y,
                         double w,
                         double h)

  Sets the location and size of this `Ellipse2D` to the specified `double` values.
  Overrides:
    `setFrame` in class `RectangularShape`
  Parameters:
    `x, y` - the specified coordinates to which to set the location of the bounding box of this `Ellipse2D`
    `w` - the width to which to set the width of this `Ellipse2D`
    `h` - the height to which to set the height of this `Ellipse2D`

### getBounds2D

    public Rectangle2D getBounds2D()

  Returns the high precision bounding box of this `Ellipse2D`.
  Returns:
    a `Rectangle2D` that is the bounding box of this `Ellipse2D`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.